=== debian/changelog ===
taradino (20250816-3) unstable; urgency=medium

  * Update debian/copyright

 -- Fabian Greffrath <fabian@debian.org>  Tue, 14 Oct 2025 13:19:21 +0200

taradino (20250816-2) unstable; urgency=medium

  * Let the transitional rott package remove alternatives on upgrade
  * Link the icon for the Shareware version

 -- Fabian Greffrath <fabian@debian.org>  Sat, 16 Aug 2025 13:07:20 +0200

taradino (20250816-1) unstable; urgency=medium

  * New upstream version 20250816

 -- Fabian Greffrath <fabian@debian.org>  Sat, 16 Aug 2025 12:50:21 +0200

taradino (20250815-1) unstable; urgency=medium

  * Follow upstream's renaming of rott to taradino
  * New upstream version 20250815
  * Remove patches, they don't apply anymore
  * Build and install both flavours
  * Remove alternatives handling, both flavours are installed
    side-by-side
  * Bump Standards-Version to 4.7.2

 -- Fabian Greffrath <fabian@debian.org>  Fri, 15 Aug 2025 12:58:58 +0200

rott (20230810-1) unstable; urgency=medium

  * New upstream version 20230810.
  * Remove desktop-file.patch, applied upstream.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 07 Sep 2023 21:53:44 +0200

rott (20211123-1) unstable; urgency=medium

  [ Jonathan Dowland ]
  * Remove myself from Uploaders.

  [ Fabian Greffrath ]
  * Update debian/watch file.
  * Switch to my own, still unnamed, SDL2-based fork
    (fixes: #1038552).
  * New upstream version 20211123.
  * Remove debian/gbp.conf file.
  * Remove no-files-found-dialog.patch, solved upstream.
  * Bump Build-Depends to SDL2 libraries.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.6.2.
  * Bump Debian packaging copyright year.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2023 14:53:43 +0200

rott (1.1.2+svn287-3) unstable; urgency=medium

  * Team upload
  * Suggest kdialog instead of kde-baseapps-bin (see #885839)
  * Update Vcs-* to point to salsa.debian.org
  * Use https URLs for Homepage and Source
  * Use https for d/copyright Format
  * Standards-Version: 4.1.3 (no further changes)
  * Use debhelper compat level 11
    - Remove redundant dh-autoreconf build-dependency
  * Set Rules-Requires-Root to no
  * Enable full compiler hardening

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2018 10:23:17 +0000

rott (1.1.2+svn287-2) unstable; urgency=medium

  * Show a dialog box if files are missing. Based on patches and
    wordings by Alexandre Detiste, thank you very much (Closes: #790407).
    + Replace the unhelpful "W_InitFiles: no files found" error message
      with instructions to read README.Debian.
    + Improve README.Debian with clear instructions on how to use
      game-data-packager to locate/download the game data, build the
      possible rott-*-data Debian package(s), and install it/them.
    + Add "Suggests: zenity | kde-baseapps-bin | x11-utils | libnotify-bin"
      for the supported dialog box applications.
  * Do not recommend any soundfont at all, leave this to the
    libsdl-mixer1.2 package.
  * Update Uploaders field and Debian packaging copyright with my
    <fabian@debian.org> address.
  * Remove rott.menu file and icons in XPM and PNG formats, install upstream's
    SVG icon.
  * Fix the rott.desktop file.
    + Remove hard-coded fullscreen mode and resolution.
    + Add keywords.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Oct 2015 09:09:40 +0200

rott (1.1.2+svn287-1) unstable; urgency=medium

  * New upstream SVN snapshot.
    + Remove all patches that were applied upstream.
    + Upstream switched build system to Autotools, add
      "Build-Depends: dh-autoreconf" and adapt debian/rules accordingly.
  * Add debian/README.source file to document how the Debian source
    tarball was created, add debian/gbp.conf file to force xz compression.
  * Bump Standards-Version to 3.9.6.
  * Move g-d-p from Depends to Recommends, drop virtual rott-data package from
    alternative dependencies.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 11 May 2015 14:23:27 +0200

rott (1.1.2-3) unstable; urgency=medium

  * Make the "commercial" variant recognize all supported
    multiplayer map files and set 'gamestate.Product' accordingly.
    This saves us from building the SUPERROTT and SITELICENSE variants
    which had their multiplayer map file names hard-coded.
    Adjust documentation and packaging accordingly.
  * Fix missing fog on level Foggy Mountain (Closes: #775530).
    Light level is calculated based on scaled texture and sprite height
    and is thus resolution-dependent, fix special-casing for fog.
    Thanks Alexandre Detiste for the bug report!
  * Fix scaling of the weapon sprite.
  * Fix scaling of the sky texture.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 30 Apr 2015 16:15:21 +0200

rott (1.1.2-2) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Remove "Recommends: timidity" and the corresponding advice in
    debian/README.Debian. Installing any package containing a soundfont
    should be sufficient for music playback to work (see #498984).
  * Run "wrap-and-sort -asb".
  * Fix a segfault in the Darian level, original bug report and patch
    by Luc Habert (Closes: #700977).
  * Color crosshair by player health.
  * Replace the icon with a self-drawn alternative in three different
    formats and provide a reproduction rule in debian/rules.
  * Enable parallel builds.
  * Correctly append to CFLAGS in debian/rules.
  * Fix conflicting types in variable declarations (Closes: #751510),
    thanks Michael Tautschnig.

  [ Stephen Kitt ]
  * Drop obsolete Lintian override; rott-sitelicense is no longer
    detected as an extra license file.
  * Use the canonical 1.0 copyright format URI.
  * Standards-Version 3.9.5, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 18 Jun 2014 07:14:21 +0200

rott (1.1.2-1) unstable; urgency=low

  * Imported Upstream version 1.1.2
  * Update Vcs-* fields.
  * Remove all patches applied upstream.

