## taradino 20251031

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	DESCRIPTION "SDL2 port of Rise of the Triad"
 	HOMEPAGE_URL "https://github.com/fabiangreffrath/taradino/"
 	LANGUAGES C
-	VERSION 2025.08.16
+	VERSION 2025.10.31
 )
 configure_file(rott/version.h.in rott/version.h @ONLY)
 
@@ -23,6 +23,7 @@
 find_package(SDL2_mixer REQUIRED CONFIG REQUIRED COMPONENTS SDL2_mixer)
 
 file(GLOB TARADINO_SOURCES "${PROJECT_SOURCE_DIR}/rott/*.c")
+file(GLOB TARADINO_HEADERS "${PROJECT_SOURCE_DIR}/rott/*.h")
 
 if(WIN32 OR MSVC OR CMAKE_SYSTEM_NAME STREQUAL "Windows")
 	list(APPEND TARADINO_SOURCES "${PROJECT_SOURCE_DIR}/misc/taradino.rc")
@@ -72,7 +73,7 @@
 	endif()
 endif()
 
-if(${TARADINO_DATADIR})
+if(NOT TARADINO_DATADIR STREQUAL "")
 	target_compile_definitions(taradino PRIVATE DATADIR="${TARADINO_DATADIR}")
 endif()
 
@@ -103,6 +104,14 @@
 	install(TARGETS taradino DESTINATION ${CMAKE_INSTALL_BINDIR})
 endif()
 
+find_program(CLANGFORMAT_EXECUTABLE clang-format)
+if(CLANGFORMAT_EXECUTABLE)
+	add_custom_target(clangformat
+		COMMAND ${CLANGFORMAT_EXECUTABLE} -style=file -i ${TARADINO_SOURCES} ${TARADINO_HEADERS}
+		WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
+	)
+endif()
+
 set(CPACK_GENERATOR ZIP)
 set(CPACK_PACKAGE_NAME ${TARADINO_EXEC})
 set(CPACK_SOURCE_GENERATOR TGZ ZIP)
