=== debian/changelog ===
taradino (20251031-1) unstable; urgency=medium

  * New upstream version 20251031
  * Update debian/watch file to version 5
  * Remove redundant RRR: no

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Oct 2025 12:14:25 +0100
