=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  debhelper-compat (= 13),
  libsdl2-mixer-dev,
  libsdl2-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/fabiangreffrath/taradino
 Vcs-Git: https://salsa.debian.org/games-team/rott.git
