=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	# Both flavors are configured and built in the dh_auto_build target.

override_dh_auto_build:
	# Shareware Version
	dh_auto_configure -- \
		--fresh \
		-DCMAKE_INSTALL_BINDIR=games \
		-DTARADINO_SHAREWARE=ON \
		-DTARADINO_SUFFIX=shareware
	dh_auto_build

	# Commercial Version
	dh_auto_configure -- \
		--fresh \
		-DCMAKE_INSTALL_BINDIR=games \
		-DTARADINO_SHAREWARE=OFF \
		-UTARADINO_SUFFIX
	dh_auto_build

execute_after_dh_installdocs:
	find debian/ -name "COPYING*" -delete
