=== debian/changelog ===
taradino (20251216-2) unstable; urgency=medium

  * Apply patch to properly clamp MusicMode values

 -- Fabian Greffrath <fabian@debian.org>  Fri, 19 Dec 2025 08:42:15 +0100

taradino (20251216-1) unstable; urgency=medium

  * New upstream version 20251216
  * Update debian/copyright

 -- Fabian Greffrath <fabian@debian.org>  Tue, 16 Dec 2025 11:27:12 +0100
