## taradino 20251222

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	DESCRIPTION "SDL2 port of Rise of the Triad"
 	HOMEPAGE_URL "https://github.com/fabiangreffrath/taradino/"
 	LANGUAGES C
-	VERSION 2025.12.16
+	VERSION 2025.12.22
 )
 configure_file(rott/version.h.in rott/version.h @ONLY)
