=== debian/changelog ===
taradino (20251222-1) unstable; urgency=medium

  * New upstream version 20251222
  * Remove patches, applied upstream

 -- Fabian Greffrath <fabian@debian.org>  Tue, 23 Dec 2025 08:50:33 +0100
